Table of Contents

Class: AsyncIO | eric3/Debugger/AsyncIO.py
--- | ---

### Class implementing asynchronous reading and writing.

It implements asynchronous reading and writing using the Qt event loop.

Base Classes |
--- | ---
AsyncIOBase QObject

Methods |
--- | ---
__init__ disconnect setNotifiers setWriteNotifier write writeReady
| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  the optional parent of this object (QObject)

| disconnect

    disconnect ( self )

Public method to disconnect any current connection.

| setNotifiers

    setNotifiers ( self )

Public method to set up the socket notifiers for the Qt event loop.

| setWriteNotifier

    setWriteNotifier ( self )

### Private method called to disable the write notifier.

If there is no data to be written, the write notifier will be diabled.

| write

    write ( self,  s )

### Public method to write a string.

#### Arguments

s
  the data to be written (string)

| writeReady

    writeReady ( self,  fd )

### Protected method called when we are ready to write data.

#### Arguments

fd
  file descriptor of the file that has data to be written (int)

Table of Contents

This document was automatically generated by HappyDoc version 2.1